fonttools (4.29.1-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:48:58 +0000

fonttools (4.29.1-2) unstable; urgency=high

  * debian/control: Add missing dependency of python3-unicodedata2
    (Closes: #1005640)

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 26 Feb 2022 10:45:25 +0800

fonttools (4.29.1-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control, debian/rules:
    Add nodoc and notest build profiles, clean up build dependencies
    (Closes: #1003522)

  [ Yao Wei (魏銘廷) ]
  * New upstream version 4.29.1

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 09 Feb 2022 21:12:31 +0800

fonttools (4.28.5-1) unstable; urgency=medium

  * New upstream version 4.28.5

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 26 Dec 2021 23:11:28 +0800

fonttools (4.28.3-1) unstable; urgency=medium

  * New upstream version 4.28.3
  * debian/control:
    - Update dependencies
    - Remove ufolib2 from Build-Depends to avoid circular dependency
  * debian/patches: Remove upstreamed patch

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 12 Dec 2021 22:06:03 +0800

fonttools (4.27.1-1) unstable; urgency=medium

  * debian/control: Add Multi-Arch: foreign to bin:fonttools. Closes: #995203
  * New upstream version 4.27.1
  * debian/patches: Fix tests with unicodedata 14.0
  * debian/upstream: Removed due to outdated information

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 31 Oct 2021 23:32:09 +0800

fonttools (4.26.2-2) unstable; urgency=medium

  * debian/control: Add missing dependencies. Closes: #993482

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 02 Sep 2021 12:49:00 +0800

fonttools (4.26.2-1) experimental; urgency=medium

  * New upstream version 4.26.2
  * debian/rules: Skip tfmLib test due to doctest loading issue
  * d/tests/control: Install fonttools for autopkgtest

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 29 Aug 2021 14:05:09 +0800

fonttools (4.24.4-1) experimental; urgency=medium

  * New upstream version 4.24.4

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 27 Jun 2021 21:53:23 +0800

fonttools (4.23.1-1) unstable; urgency=medium

  * New upstream version 4.23.1

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 16 May 2021 20:41:41 +0800

fonttools (4.19.1-1) unstable; urgency=medium

  * New upstream version 4.19.1
  * debian/copyright: Update copyright information
  * debian/control: Update build- and runtime- dependencies
  * debian/control: Change python3-fonttools Architecture from all to any
    due to cu2qu inclusion
  * debian/control: Bump Debian Policy standard to 4.5.1
    - Note that some files in Lib/fontTools/unicodedata are removed from
      source packages and generated during build.  These are derived from
      unicode-data and their copyright info are already documented.

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 31 Jan 2021 07:38:19 +0800

fonttools (4.18.2-1) unstable; urgency=medium

  * New upstream version 4.18.2

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 19 Dec 2020 00:23:20 +0800

fonttools (4.18.1-1) unstable; urgency=medium

  * New upstream version 4.18.1

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 13 Dec 2020 23:05:37 +0800

fonttools (4.17.1-1) unstable; urgency=medium

  * New upstream version 4.17.1
  * debian/control: Bump Standards-Version to 4.5.1.  No changes needed.

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 26 Nov 2020 21:43:14 +0800

fonttools (4.17.0-1) unstable; urgency=medium

  * New upstream version 4.17.0
  * debian/control: Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 15 Nov 2020 23:11:02 +0800

fonttools (4.16.1-1) unstable; urgency=medium

  * New upstream version 4.16.1
  * debian/control: Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 10 Oct 2020 17:58:26 +0800

fonttools (4.13.0-1) unstable; urgency=medium

  * New upstream version 4.13.0
  * debian/gbp.conf: Change packaging salsa branch to debian/master in
    compliance of Debian Python Policy
  * debian/control:
    - Use debhelper 13
    - debian/control: Update dependencies, add ufolib2 for testing purposes

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 25 Jul 2020 12:53:08 +0800

fonttools (4.10.2-1) unstable; urgency=medium

  * New upstream version 4.10.2
  * Add python3-sphinx-rtd-theme as Build-Dependency
  * Fix test related issues

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 28 May 2020 22:07:49 +0800

fonttools (4.7.0-2) unstable; urgency=medium

  * debian/control: Temporarily remove python3-ufolib2 dependency used in test
    due to circular dependency

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 06 Apr 2020 00:50:43 +0800

fonttools (4.7.0-1) unstable; urgency=medium

  * New upstream version 4.7.0
  * Update dependencies for ufolib2 check, and allow test to be disabled to
    avoid Build-Dep circular dependency

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 06 Apr 2020 00:26:32 +0800

fonttools (4.5.0-1) unstable; urgency=medium

  * New upstream version 4.5.0
  * debian/control: Update dependencies
  * Fix test failure caused by newer unicode-data used in build
    (Closes: #954642)

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 22 Mar 2020 17:40:59 +0800

fonttools (4.4.1-1) unstable; urgency=medium

  * New upstream version 4.4.1
  * debian/copyright: add copyright to NotoColorEmoji used as test data

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 02 Mar 2020 00:00:11 +0800

fonttools (4.2.4-1) unstable; urgency=medium

  * New upstream version 4.2.4
  * Bump Standards-Version to 4.5.0

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 29 Jan 2020 16:21:04 +0800

fonttools (4.2.2-1) unstable; urgency=medium

  * New upstream version 4.2.2
  * debian/control: Add python3-munkres as aan alternative to python3-scipy
    (Closes: #947206)

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 22 Dec 2019 23:26:30 +0100

fonttools (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0
  * debian/salsa.ci: Add CI script for salsa.debian.org

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 01 Dec 2019 17:44:49 +0800

fonttools (4.0.2-1) unstable; urgency=medium

  * New upstream version 4.0.2
  * debian/control:
    - Update dependencies
    - Bump Standards-Version to 4.4.1
  * Add d/tests/control and use pytest-3 to run pkgautotest

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 13 Oct 2019 12:13:35 +0800

fonttools (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0
  * Remove python2 package
  * Bump debhelper compatibility to 12
  * debian/control: Update dependencies
  * debian/copyright: Add test case copyright information

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 31 Aug 2019 13:11:40 +0800

fonttools (3.43.2-1) unstable; urgency=medium

  * New upstream version 3.43.2
  * debian/control: Update dependencies
  * debian/copyright: Remove .gitattributes from release tarball because it
    interferes with git-buildpackage
  * Remove unused lintian overrides
  * Bump Standards-Version to 4.4.0

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 18 Jul 2019 10:32:09 -0300

fonttools (3.35.1-1) unstable; urgency=medium

  * New upstream version 3.35.1
  * debian/control:
    - Bump Standards-Version to 4.3.0
    - Bump dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 09 Jan 2019 13:13:20 +0100

fonttools (3.33.0-1) unstable; urgency=medium

  * New upstream release 3.33.0
  * debian/control:
    - Update dependencies
    - Fix fonttools binary package dependency
    - Change maintainer address
    - Bump Standards-Version to 4.2.1

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 12 Dec 2018 16:03:52 +0800

fonttools (3.29.0-1) unstable; urgency=medium

  * New upstream release 3.29.0 (Closes: #903378)
  * debian/control:
    - Add Yao Wei (魏銘廷) as uploader
    - Remove deprecated X-Python-Version field
    - Change descriptions of binary packages
    - Update mailing list address
    - Bump debhelper to 11
  * debian/rules:
    - Bump Standards-Version to 4.1.5
  * debian/compat:
    - Bump debhelper to 11

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Mon, 03 Sep 2018 11:11:59 +0800

fonttools (3.21.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 3.21.2.
  * debian/copyright:
    - Upstream changed license from old MIT to Expat
    - Properly document copyright of generated files
  * debian/rules:
    - Bump Standards-Version to 4.1.3.
    - Change Vcs fields to salsa.debian.org.
  * Add lintian overrides for documenting licenses of certain files.

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Wed, 17 Jan 2018 23:48:30 +0800

fonttools (3.20.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/copyright:
    - Use copyright-format 1.0
    - Add several known copyright information of test fonts (Closes: #878643)
  * debian/control: replace python-sphinx to python3-sphinx
  * debian/rules: add override_dh_auto_test
  * Build unicodeData library from source

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Fri, 15 Dec 2017 12:28:17 +0800

fonttools (3.19.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add several Build-Depends for build tests
  * Depend on python-brotli, python-gi, python-reportlab, and python-sympy

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 18 Nov 2017 16:34:48 -0500

fonttools (3.16.0-2) unstable; urgency=medium

  * Team upload
  * debian/control:
    - Have fonttools depend on python3-pkg-resources

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Oct 2017 21:11:41 -0400

fonttools (3.16.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.16.0

  * add Replaces:/Breaks: also for python3-fonttools (closes: #878670)

 -- Rene Engelhard <rene@debian.org>  Sun, 15 Oct 2017 18:13:56 +0200

fonttools (3.15.1-3) unstable; urgency=medium

  * Team upload
  * Separate the package to multiple packages (Closes: #877165)
  * Provide python2 version of fonttools (Closes: #876439)
  * Change the section from fonts to devel
  * Set Standards-Version to 4.1.1

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Tue, 03 Oct 2017 11:52:42 +0800

fonttools (3.15.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Hideki Yamane <henrich@debian.org>  Sun, 03 Sep 2017 18:09:16 +0900

fonttools (3.15.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release (Closes: #872448)
  * debian/control
    - set debhelper (>= 10)
    - adjust python build dependency
    - add python-sphinx since upstream use rst files.
    - set Debian Fonts Task Force as Maintainer
    - set Standards-Version to 4.1.0
    - update Homepage: (Closes: #838374)
    - add Vcs-*
    - add X-Python3-Version: >= 3.4
  * debian/compat
    - set 10
  * debian/rules
    - simplify it
    - deal with upstream's change
    - specify sphinx doc directory
  * debian/docs
    - update it to include rst files
  * debian/stripinstall
    - unnecessary with upstream's change, drop it
  * debian/watch
    - update to version4
  * debian/doc-base
    - once drop it
  * debian/patches
    - add 0001-add-module-path-for-automodule-directive.patch
  * debian/clean
    - clean sphinx build files

 -- Hideki Yamane <henrich@debian.org>  Mon, 28 Aug 2017 20:38:26 +0900

fonttools (3.0-1) unstable; urgency=medium

  * New upstream release
  * Adopt package (closes: #764300)
  * Remove fonttools-eexecop package; code dropped upstream
  * Switch to pybuild
  * Drop dependency on python-all-dev
  * Update watch and copyright to point to GitHub

 -- Luke Faraone <lfaraone@debian.org>  Fri, 30 Oct 2015 04:57:37 +0000

fonttools (2.4-2) unstable; urgency=medium

  * QA upload.
    - Set Maintainer to Debian QA Group.
  * Remove obsolete python-support build-dependency (Closes: #786279).
  * Move upstream metadata into its correct location.
  * Bump Standards-Version to 3.9.6.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 15 Jun 2015 18:27:04 +0200

fonttools (2.4-1) unstable; urgency=low

  * New upstream release
    - Fixes error in OS/2 table of mona.ttf (LP: #223884)
  * Switch to dh_python2
  * Switch to debhelper 9
  * Bump Standards-Version, no changes needed
  * Drop unneeded postinst
  * Improve the watch file
  * Adjust download location
  * Add a file with upstream info

 -- Paul Wise <pabs@debian.org>  Sat, 22 Jun 2013 23:48:19 +0800

fonttools (2.3-1) unstable; urgency=low

  * New upstream release
    - TrueType Collection (TTC) support
    - Python 2.6 support
    - Unicode 5.2.0 data
  * Split the eexecOp module out into a separate package, switch fonttools
    to arch all and recommend the arch any eexecOp module to reduce archive
    space used by duplicates of the arch all python scripts in fonttools
  * Switch to debhelper compat 7 and dh for debian/rules
  * Adapt installation and rules for Python 2.6 (Closes: #547821)
  * Add ${misc:Depends} to dependencies for debhelper
  * Switch the section to fonts in line with the override
  * Bump Standards-Version, no changes needed
  * Switch to dpkg source format version 3
  * Switch from python-central to python-support and handle upgrades from
    pycentral with removal in preinst

 -- Paul Wise <pabs@debian.org>  Sat, 14 Nov 2009 22:58:53 +0800

fonttools (2.2-2) unstable; urgency=medium

  * Fix dependencies to use Numpy instead of Numeric (Closes: #492010)
  * Drop unneeded quilt build-dependency
  * Support noopt in DEB_BUILD_OPTIONS
  * Complies with policy 3.8.0, update Standards-Version

 -- Paul Wise <pabs@debian.org>  Thu, 24 Jul 2008 00:03:02 +0800

fonttools (2.2-1) unstable; urgency=low

  * New upstream release
    - Uses numpy instead of Numeric (Closes: #478441)
    - Includes ttx manual page, drop debian version
    - Includes different fix for #328098, drop 10_fix_summertime_traceback
    - Drop bugs.txt since fonttools apparently has no bugs ;)
  * Update doc-base section

 -- Paul Wise <pabs@debian.org>  Sun, 18 May 2008 16:34:47 +0800

fonttools (2.1-1) unstable; urgency=low

  * New upstream release
    - Fixes traceback on amd64 with DejaVuSans.ttf (Closes: #434377)
    - Drop 20_cjk_performance_improvement, 01_update_changelog,
      both have been applied upstream
  * Fix watch file so that it works with the release (Closes: #449785)
  * Drop unneeded dependency on python-xml (Closes: #468585)
  * Bump Standards-Version (no changes needed)

 -- Paul Wise <pabs@debian.org>  Sat, 01 Mar 2008 16:58:54 +0900

fonttools (1.99+2.0b1+cvs20061021-2) unstable; urgency=low

  * Hack around distutils poor multiple-version support (Closes: #445261)
  * Drop obsolete use of dh_python
  * Switch to new Homepage field

 -- Paul Wise <pabs@debian.org>  Fri, 05 Oct 2007 13:18:31 +0930

fonttools (1.99+2.0b1+cvs20061021-1) unstable; urgency=low

  * New upstream release (CVS from 2006-10-21)
    - Update changelog patch from CVS
  * Change my email address now that I'm a Debian Developer
  * Update python dependencies and stuff to lintian's liking

 -- Paul Wise <pabs@debian.org>  Fri, 27 Apr 2007 18:03:46 +1000

fonttools (1.99+2.0b1+cvs20060225-1) unstable; urgency=low

  * New upstream bugfix snapshot
  * Migrate patches from the diff.gz to quilt
  * Remove changelog.CVS, instead update upstream's changelog file
  * Fix the watch file, in case upstream ever releases
  * Make homepage in the description comply with devref 6.2.4
  * Tidy the copyright file and fix the copyright years
  * Don't byte-compile .py files at build time
  * Ensure CFLAGS is passed to setup.py
  * Clean unused parts of debian/rules
  * 10_fix_summertime_traceback: return a constant from calc_mac_epoch_diff
    Finally closes: #328098
  * Update for the new Python policy
  * Bump Standards-Version (no changes)

 -- Paul Wise <pabs3@bonedaddy.net>  Fri, 16 Jun 2006 19:26:14 +0800

fonttools (1.99+2.0b1+cvs20050624-2) unstable; urgency=low

  * Fix byte-compiling python files

 -- Paul Wise <pabs3@bonedaddy.net>  Wed,  5 Oct 2005 21:12:31 +0800

fonttools (1.99+2.0b1+cvs20050624-1) unstable; urgency=low

  * New maintainer (Closes: #330480)
  * New upstream release (CVS from 2005-06-24)
    - Drop patches (everything included upstream)
    - Fixes traceback for newer OS/2 tables (Closes: #306287)
  * Update Standards-Version (no changes)
  * Include ttx manpage from Florent Rougon (Closes: #249673)
  * Fix Kiev summer traceback (fix by Eugeniy Meshcheryakov closes: #328098)
  * Improve CJK font performance (fix by Tomasz Wegrzanowski closes: #312379)
  * Remove example menu file and manpages from dh_make
  * Fix and use the doc-base example from dh_make
  * Clean up debian/rules
  * Remove install instructions from Docs/install.txt and install as README
    - Thanks to prec from #sed on freenode for the sed script to do this
  * Don't install README.txt
  * Install Docs/changes.txt as NEWS
  * Use dh_python and update debian/control to prepare for Python 2.4
  * chmod a+x the ttx.py script

 -- Paul Wise <pabs3@bonedaddy.net>  Thu, 29 Sep 2005 17:18:28 +0800

fonttools (1.99+2.0b1+cvs20031014-1) unstable; urgency=low

  * CVS updates as of 2003-10-14.
  * Lib/fontTools/unicode.py: Updated to Unicode 4.0.0.
  * Standards-Version: 3.6.1.

 -- Anthony Fok <foka@debian.org>  Tue, 18 Nov 2003 00:53:59 +0800

fonttools (1.99+2.0b1+cvs20030629-1) unstable; urgency=low

  * CVS updates as of 2003-06-29.
  * Updated dependencies to Python 2.3.
  * Standards-Version: 3.6.0.

 -- Anthony Fok <foka@debian.org>  Wed, 13 Aug 2003 01:38:17 +0800

fonttools (1.99+2.0b1+cvs20030223-1) unstable; urgency=low

  * ttx.py: typo fixes
  * _c_m_a_p.py: For subtables, change "version" to language.
    Modified cmap_format_12.compile() to make CMap format 12 creation
    actually work.
  * unicode.py: Updated to Unicode 3.2.0 with characters beyond the BMP.

 -- Anthony Fok <foka@debian.org>  Wed,  5 Mar 2003 02:46:40 +0800

fonttools (1.99+2.0b1+cvs20030208-1) unstable; urgency=low

  * CVS update as of 2003-02-08, with newly added CMap format 12 support
    contributed by rroberts.

 -- Anthony Fok <foka@debian.org>  Mon, 10 Feb 2003 01:54:30 +0800

fonttools (1.99+2.0b1+cvs20030125-1) unstable; urgency=low

  * Initial Release.
  * Patched _n_a_m_e.py to handle fonts with wrong stringOffset.

 -- Anthony Fok <foka@debian.org>  Sat, 25 Jan 2003 13:54:31 +0800
